<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Parameters Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_parameters-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Parameters Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class that handles the parameters for: simulation, motor, controller, reference signal and environment.  
 <a href="class_parameters.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for Parameters:</div>
<div class="dyncontent">
<div class="center"><img src="class_parameters__inherit__graph.png" border="0" usemap="#_parameters_inherit__map" alt="Inheritance graph"/></div>
<map name="_parameters_inherit__map" id="_parameters_inherit__map">
<area shape="rect" id="node2" href="classdynamicprops.html" title="dynamicprops" alt="" coords="5,5,107,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a10dc05f95e459cac8442751d4dbf1554"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a10dc05f95e459cac8442751d4dbf1554">Parameters</a> (in <a class="el" href="class_parameters.html#af3799ba2c0a6560de0749efa0427052e">simulation_output_dir</a>)</td></tr>
<tr class="memdesc:a10dc05f95e459cac8442751d4dbf1554"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="#a10dc05f95e459cac8442751d4dbf1554">More...</a><br /></td></tr>
<tr class="separator:a10dc05f95e459cac8442751d4dbf1554"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66d23c70ed7dce67295ae3dc2e0a1f14"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a66d23c70ed7dce67295ae3dc2e0a1f14">setKes</a> (in obj, in k_e_vect)</td></tr>
<tr class="memdesc:a66d23c70ed7dce67295ae3dc2e0a1f14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the kes and the des arrays.  <a href="#a66d23c70ed7dce67295ae3dc2e0a1f14">More...</a><br /></td></tr>
<tr class="separator:a66d23c70ed7dce67295ae3dc2e0a1f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28aec5741eca003fc16ca034d5731780"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a28aec5741eca003fc16ca034d5731780">setJes</a> (in obj, in j_e_vect)</td></tr>
<tr class="memdesc:a28aec5741eca003fc16ca034d5731780"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the jes and the des arrays.  <a href="#a28aec5741eca003fc16ca034d5731780">More...</a><br /></td></tr>
<tr class="separator:a28aec5741eca003fc16ca034d5731780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27c66142db3c715bed5a8343104b25ad"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a27c66142db3c715bed5a8343104b25ad">ke</a> (in obj)</td></tr>
<tr class="memdesc:a27c66142db3c715bed5a8343104b25ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the actual environment stiffness.  <a href="#a27c66142db3c715bed5a8343104b25ad">More...</a><br /></td></tr>
<tr class="separator:a27c66142db3c715bed5a8343104b25ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ec65b7b3503098931e56cb916f74ec5"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a6ec65b7b3503098931e56cb916f74ec5">je</a> (in obj)</td></tr>
<tr class="memdesc:a6ec65b7b3503098931e56cb916f74ec5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the actual environment inertia.  <a href="#a6ec65b7b3503098931e56cb916f74ec5">More...</a><br /></td></tr>
<tr class="separator:a6ec65b7b3503098931e56cb916f74ec5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0da154dba497f30567a4a7b8e4ea291"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#ab0da154dba497f30567a4a7b8e4ea291">de</a> (in obj)</td></tr>
<tr class="memdesc:ab0da154dba497f30567a4a7b8e4ea291"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the actual environment damping.  <a href="#ab0da154dba497f30567a4a7b8e4ea291">More...</a><br /></td></tr>
<tr class="separator:ab0da154dba497f30567a4a7b8e4ea291"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcacacba66bfbf9650ca373b9170a42e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#adcacacba66bfbf9650ca373b9170a42e">writeToYamlFile</a> (in obj, in filename, in <a class="el" href="class_parameters.html#aabd89270bd3e995475bc1a02cf7b14d6">config_name</a>)</td></tr>
<tr class="memdesc:adcacacba66bfbf9650ca373b9170a42e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save the instance to a yaml file.  <a href="#adcacacba66bfbf9650ca373b9170a42e">More...</a><br /></td></tr>
<tr class="separator:adcacacba66bfbf9650ca373b9170a42e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7c297d68e31d30e80e8ef4240edcfb4"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#ac7c297d68e31d30e80e8ef4240edcfb4">readFromYamlFile</a> (in obj, in filename, in <a class="el" href="class_parameters.html#aabd89270bd3e995475bc1a02cf7b14d6">config_name</a>)</td></tr>
<tr class="memdesc:ac7c297d68e31d30e80e8ef4240edcfb4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Load the instance from a yaml file.  <a href="#ac7c297d68e31d30e80e8ef4240edcfb4">More...</a><br /></td></tr>
<tr class="separator:ac7c297d68e31d30e80e8ef4240edcfb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a447a833e9e05c9edddfee30c624f2b06"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a447a833e9e05c9edddfee30c624f2b06">h_physics</a></td></tr>
<tr class="memdesc:a447a833e9e05c9edddfee30c624f2b06"><td class="mdescLeft">&#160;</td><td class="mdescRight">simulation parameter - physics update period  <a href="#a447a833e9e05c9edddfee30c624f2b06">More...</a><br /></td></tr>
<tr class="separator:a447a833e9e05c9edddfee30c624f2b06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee78dfd04bb1abd60c60c46334ce54de"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#aee78dfd04bb1abd60c60c46334ce54de">h_control</a></td></tr>
<tr class="memdesc:aee78dfd04bb1abd60c60c46334ce54de"><td class="mdescLeft">&#160;</td><td class="mdescRight">simulation parameter - control update period  <a href="#aee78dfd04bb1abd60c60c46334ce54de">More...</a><br /></td></tr>
<tr class="separator:aee78dfd04bb1abd60c60c46334ce54de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a481937ec68310913213b38c22b89fcd2"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a481937ec68310913213b38c22b89fcd2">motor</a></td></tr>
<tr class="memdesc:a481937ec68310913213b38c22b89fcd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">motor parameters  <a href="#a481937ec68310913213b38c22b89fcd2">More...</a><br /></td></tr>
<tr class="separator:a481937ec68310913213b38c22b89fcd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ac7237569c22cdae1763e84f2d5284b"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a4ac7237569c22cdae1763e84f2d5284b">motor_controller</a></td></tr>
<tr class="memdesc:a4ac7237569c22cdae1763e84f2d5284b"><td class="mdescLeft">&#160;</td><td class="mdescRight">motor controller parameters  <a href="#a4ac7237569c22cdae1763e84f2d5284b">More...</a><br /></td></tr>
<tr class="separator:a4ac7237569c22cdae1763e84f2d5284b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4801ead0cfada9df307f589e57c65cd8"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a4801ead0cfada9df307f589e57c65cd8">transparency</a></td></tr>
<tr class="memdesc:a4801ead0cfada9df307f589e57c65cd8"><td class="mdescLeft">&#160;</td><td class="mdescRight">transparency parameters  <a href="#a4801ead0cfada9df307f589e57c65cd8">More...</a><br /></td></tr>
<tr class="separator:a4801ead0cfada9df307f589e57c65cd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a182f4909a999dec0479fac3b0b21f5db"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#a182f4909a999dec0479fac3b0b21f5db">tracking</a></td></tr>
<tr class="memdesc:a182f4909a999dec0479fac3b0b21f5db"><td class="mdescLeft">&#160;</td><td class="mdescRight">tracking parameters  <a href="#a182f4909a999dec0479fac3b0b21f5db">More...</a><br /></td></tr>
<tr class="separator:a182f4909a999dec0479fac3b0b21f5db"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af3799ba2c0a6560de0749efa0427052e"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#af3799ba2c0a6560de0749efa0427052e">simulation_output_dir</a></td></tr>
<tr class="memdesc:af3799ba2c0a6560de0749efa0427052e"><td class="mdescLeft">&#160;</td><td class="mdescRight">directory of the simulation output  <a href="#af3799ba2c0a6560de0749efa0427052e">More...</a><br /></td></tr>
<tr class="separator:af3799ba2c0a6560de0749efa0427052e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabd89270bd3e995475bc1a02cf7b14d6"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_parameters.html#aabd89270bd3e995475bc1a02cf7b14d6">config_name</a></td></tr>
<tr class="memdesc:aabd89270bd3e995475bc1a02cf7b14d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">configuration name  <a href="#aabd89270bd3e995475bc1a02cf7b14d6">More...</a><br /></td></tr>
<tr class="separator:aabd89270bd3e995475bc1a02cf7b14d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class that handles the parameters for: simulation, motor, controller, reference signal and environment. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a10dc05f95e459cac8442751d4dbf1554"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10dc05f95e459cac8442751d4dbf1554">&#9670;&nbsp;</a></span>Parameters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_parameters.html">Parameters</a> </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>simulation_output_dir</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Class constructor. </p>
<dl class="section return"><dt>Returns</dt><dd>instance of the <a class="el" href="class_parameters.html" title="Class that handles the parameters for: simulation, motor, controller, reference signal and environmen...">Parameters</a> class. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab0da154dba497f30567a4a7b8e4ea291"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0da154dba497f30567a4a7b8e4ea291">&#9670;&nbsp;</a></span>de()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function de </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the actual environment damping. </p>
<dl class="section return"><dt>Returns</dt><dd>the actual de. </dd></dl>

</div>
</div>
<a id="a6ec65b7b3503098931e56cb916f74ec5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ec65b7b3503098931e56cb916f74ec5">&#9670;&nbsp;</a></span>je()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function je </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the actual environment inertia. </p>
<dl class="section return"><dt>Returns</dt><dd>the actual je. </dd></dl>

</div>
</div>
<a id="a27c66142db3c715bed5a8343104b25ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27c66142db3c715bed5a8343104b25ad">&#9670;&nbsp;</a></span>ke()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function ke </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the actual environment stiffness. </p>
<dl class="section return"><dt>Returns</dt><dd>the actual ke. </dd></dl>

</div>
</div>
<a id="ac7c297d68e31d30e80e8ef4240edcfb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7c297d68e31d30e80e8ef4240edcfb4">&#9670;&nbsp;</a></span>readFromYamlFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function readFromYamlFile </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>config_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Load the instance from a yaml file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The filename to load. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a28aec5741eca003fc16ca034d5731780"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28aec5741eca003fc16ca034d5731780">&#9670;&nbsp;</a></span>setJes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function setJes </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>j_e_vect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the jes and the des arrays. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">jes</td><td>Array of environment inertias. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a66d23c70ed7dce67295ae3dc2e0a1f14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66d23c70ed7dce67295ae3dc2e0a1f14">&#9670;&nbsp;</a></span>setKes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function setKes </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>k_e_vect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the kes and the des arrays. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">kes</td><td>Array of environment stiffnesses. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="adcacacba66bfbf9650ca373b9170a42e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcacacba66bfbf9650ca373b9170a42e">&#9670;&nbsp;</a></span>writeToYamlFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function writeToYamlFile </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>config_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Save the instance to a yaml file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>The filename where to save the instance. </td></tr>
    <tr><td class="paramname">config_name</td><td>The configuration name. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aabd89270bd3e995475bc1a02cf7b14d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabd89270bd3e995475bc1a02cf7b14d6">&#9670;&nbsp;</a></span>config_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property config_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>configuration name </p>

</div>
</div>
<a id="aee78dfd04bb1abd60c60c46334ce54de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee78dfd04bb1abd60c60c46334ce54de">&#9670;&nbsp;</a></span>h_control</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property h_control</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>simulation parameter - control update period </p>

</div>
</div>
<a id="a447a833e9e05c9edddfee30c624f2b06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a447a833e9e05c9edddfee30c624f2b06">&#9670;&nbsp;</a></span>h_physics</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property h_physics</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>simulation parameter - physics update period </p>

</div>
</div>
<a id="a481937ec68310913213b38c22b89fcd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a481937ec68310913213b38c22b89fcd2">&#9670;&nbsp;</a></span>motor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property motor</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>motor parameters </p>

</div>
</div>
<a id="a4ac7237569c22cdae1763e84f2d5284b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ac7237569c22cdae1763e84f2d5284b">&#9670;&nbsp;</a></span>motor_controller</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property motor_controller</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>motor controller parameters </p>

</div>
</div>
<a id="af3799ba2c0a6560de0749efa0427052e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3799ba2c0a6560de0749efa0427052e">&#9670;&nbsp;</a></span>simulation_output_dir</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property simulation_output_dir</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>directory of the simulation output </p>

</div>
</div>
<a id="a182f4909a999dec0479fac3b0b21f5db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a182f4909a999dec0479fac3b0b21f5db">&#9670;&nbsp;</a></span>tracking</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property tracking</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>tracking parameters </p>

</div>
</div>
<a id="a4801ead0cfada9df307f589e57c65cd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4801ead0cfada9df307f589e57c65cd8">&#9670;&nbsp;</a></span>transparency</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property transparency</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>transparency parameters </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_parameters_8m.html">Parameters.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
